Lingxing
切换旧版

查询包装组

POST/amzStaServer/openapi/inbound-packing/listPackingGroupItems

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/inbound-packing/listPackingGroupItemsHTTPSPOST1

请求参数

inboundPlanIdstring必填
STA任务编号,,对应创建STA任务接口对应字段【inboundPlanId】
sidinteger必填
亚马逊店铺sid,对应查询亚马逊店铺列表接口对应字段【sid】

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/inbound-packing/listPackingGroupItems?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
    "sid": 1
}'

返回结果

codenumber必填
示例 0
messagestring必填
示例 操作成功
errorDetailsstring必填
requestIdstring必填
示例 de66fa7000f34bbe892b8dbf2b7c9299.1732862641215
responseTimestring必填
示例 2024-11-29T14:44:01.215
dataobject必填
隐藏子属性
inboundPlanIdstring必填
STA任务编号
示例 wf0a914e89-d126-4ed9-a093-2078289fed05
packingGroupListarray<object>必填
包装组
隐藏子属性
packingGroupIdstring必填
包装组ID
示例 pge426cb1a-25db-4784-bd05-24e4de16d03b
packingGroupItemListarray<object>必填
包装组商品信息
隐藏子属性
mskustring必填
msku
示例 STN0002
fnskustring必填
fnsku
示例 X00489S34P
asinstring必填
asin
示例 B0D3F37ZPB
parentAsinstring必填
父asin
示例 B0D3F37ZPB
productNamestring必填
品名
示例 成本
skustring必填
sku
示例 117009ZZ
titlestring必填
标题
示例 Note Grid, Note Paper, Minimalist and Creative, Cute Note Book, Non Sticky
urlstring必填
图片url
示例 https://m.media-amazon.com/images/I/61FW9bR5rKL._SL75_.jpg
prepOwnerstring必填
预处理提供方(AMAZON,SELLER,NONE)
示例 SELLER
labelOwnerstring必填
标签类型(AMAZON,SELLER,NONE)
示例 SELLER
quantitynumber必填
申报量
示例 16
expirationstring必填
有效期

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "inboundPlanId": "wf0a914e89-d126-4ed9-a093-2078289fed05",
        "packingGroupList": [
            {
                "packingGroupId": "pge426cb1a-25db-4784-bd05-24e4de16d03b",
                "packingGroupItemList": [
                    {
                        "msku": "STN0002",
                        "fnsku": "X00489S34P",
                        "asin": "B0D3F37ZPB",
                        "parentAsin": "B0D3F37ZPB",
                        "productName": "成本",
                        "sku": "117009ZZ",
                        "title": "Note Grid, Note Paper, Minimalist and Creative, Cute Note Book, Non Sticky",
                        "url": "",
                        "prepOwner": "SELLER",
                        "labelOwner": "SELLER",
                        "quantity": 16,
                        "expiration": ""
                    },
                    {
                        "msku": "20240122-GM",
                        "fnsku": "X0047Z5K5Z",
                        "asin": "B0CM59V6Y8",
                        "parentAsin": "B0CPSY8HFP",
                        "productName": "饭饭饭",
                        "sku": "ggggasda",
                        "title": "Note Grid, Note Paper, Minimalist and Creative, Cute Note Book, Non Sticky-GM",
                        "url": "",
                        "prepOwner": "SELLER",
                        "labelOwner": "SELLER",
                        "quantity": 8,
                        "expiration": ""
                    }
                ]
            }
        ]
    }
}